Bug 1564469

Summary: SELinux is preventing at-spi-bus-laun from 'map' accesses on the file /var/log/lightdm/.config/dconf/user.
Product: [Fedora] Fedora Reporter: Villy Kruse <ppywlkiqletw>
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: dwalsh, lvrabec, mgrepl, plautrba, pmoore
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:ebf755cbfd7e13ef59ff53f2405657e07be293565d260d28827adfe4f012756e;
Fixed In Version: selinux-policy-3.13.1-283.32.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-04-27 01:18:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Villy Kruse 2018-04-06 11:26:41 UTC
Description of problem:
Happens everytime you log in 

Problem started occurring after upgrading to lightdm-gtk-2.0.5-1.fc27.x86_64.

With previous version of lightdm-gtk there were no problems.

SELinux is preventing at-spi-bus-laun from 'map' accesses on the file /var/log/lightdm/.config/dconf/user.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that at-spi-bus-laun should be allowed map access on the user file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'at-spi-bus-laun' --raw | audit2allow -M my-atspibuslaun
# semodule -X 300 -i my-atspibuslaun.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:xserver_log_t:s0
Target Objects                /var/log/lightdm/.config/dconf/user [ file ]
Source                        at-spi-bus-laun
Source Path                   at-spi-bus-laun
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-283.30.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.15.14-300.fc27.x86_64 #1 SMP Thu
                              Mar 29 16:13:44 UTC 2018 x86_64 x86_64
Alert Count                   1
First Seen                    2018-04-06 13:22:00 CEST
Last Seen                     2018-04-06 13:22:00 CEST
Local ID                      b33c69eb-7b6a-4534-a902-c0f1ee1d5bcc

Raw Audit Messages
type=AVC msg=audit(1523013720.376:215): avc:  denied  { map } for  pid=1691 comm="at-spi-bus-laun" path="/var/log/lightdm/.config/dconf/user" dev="sda2" ino=141550 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:xserver_log_t:s0 tclass=file permissive=1


Hash: at-spi-bus-laun,xdm_t,xserver_log_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-283.30.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.15.14-300.fc27.x86_64
type:           libreport

Comment 1 Fedora Update System 2018-04-16 11:33:14 UTC
selinux-policy-3.13.1-283.32.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d3085b9774

Comment 2 Fedora Update System 2018-04-18 02:59:28 UTC
selinux-policy-3.13.1-283.32.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d3085b9774

Comment 3 Fedora Update System 2018-04-27 01:18:28 UTC
selinux-policy-3.13.1-283.32.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.